/** 
 * @namespace 
 * @name lib
*/

/** @lends lib */

/**
 * Clones an object.
 * @param {Object} obj The object you want to clone.
 * @returns {Object} A copy of obj.
*/
var clone = function (obj) {
  if(obj == null || typeof(obj) != 'object') {
    return obj;
  }
  var temp = new obj.constructor();
  for(var key in obj) {
    temp[key] = clone(obj[key]);
  }
  return temp;
}
exports.clone = clone;

/**
 * SHA1 a string.
 * @param {String} data A string or buffer object.
 * @returns {String} Hexedecimal SHA1 value of data.
*/
var sha1 = function (data) {
  var crypto = require('crypto');
  var sha = crypto.createHash('sha1');
  sha.update(data);
  return sha.digest('hex');
}
exports.sha1 = sha1;