
var httpProxy = require('http-proxy');
var webapp = require('../webapp.js');

var base_navs = {
  Home: '/',
  About: '/about'
};

var unauth_navs = {
  Register: '/register',
  Login: '/login'
};

var authed_navs = {
  Profile: '/profile',
  Logout: '/logout'
};

var port = 8080;
var enable_ssl = false;
var ssl_port = 8443;
var ssl_ca_file = 'ca.pem';
var ssl_key_file = 'server.key';
var ssl_cert_file = 'server.crt';

// static_dir, session_key, register_code, base_navs, unauth_navs, authed_navs, couchdb_opts
var srv = webapp.create(
  __dirname + '/statics',
  'testSessionKey12345',
  'testcode',
  base_navs, unauth_navs, authed_navs,
  {
    host: '127.0.0.1',
    port: 5984,
    user: '',
    pass: '',
    prefix: 'test',
    cache: true
  }
);
srv.listen(port, '127.0.0.1');
console.log('Server listening on http://127.0.0.1:' + port + '/');
// app.listen(config.port, '0.0.0.0');
if (enable_ssl === true) {
  var https = require('https');
  var options = {
    ca: fs.readFileSync(ssl_ca_file),
    key: fs.readFileSync(ssl_key_file),
    cert: fs.readFileSync(ssl_cert_file)
  };
  var httpSsl = https.createServer(options, function (req, res) {
    var proxy = new httpProxy.HttpProxy();
    proxy.proxyRequest(req, res, port, '127.0.0.1');
  });
  httpSsl.listen(ssl_port, '127.0.0.1');
  console.log('Proxy listening on https://127.0.0.1:' + ssl_port + '/');
}
